Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.installer
Class GeronimoInstaller

    java.lang.Object
      org.wso2.wsas.installer.AbstractInstaller
          org.wso2.wsas.installer.AbstractAppServerInstaller
              org.wso2.wsas.installer.GeronimoInstaller

All Implemented Interfaces:
  Installable

    public class GeronimoInstaller

extends AbstractAppServerInstaller

Field Summary

Fields inherited from class org.wso2.wsas.installer.AbstractAppServerInstaller
`OTHER_VERSION`

Fields inherited from class org.wso2.wsas.installer.AbstractInstaller
`javaHome, serverHome, wso2wsasHome`

Constructor Summary
`GeronimoInstaller()`

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getId()`
`java.lang.String` | `getServerInfoImplClass()`
`java.lang.String[]` | `getServerInfoImplClasses()`
`java.util.Properties` | `getServerProperties()`
`java.lang.String[]` | `getSupportedVersions()`
`void` | `install()`

Methods inherited from class org.wso2.wsas.installer.AbstractAppServerInstaller
`copyDerbyJAR, copyLog4jJAR, copyWsasWAR, getAppServerHome, getServerVersionIndex`

Methods inherited from class org.wso2.wsas.installer.AbstractInstaller
`createWebArchive, getItem, getServerHome, getWSASHome, setJavaHome, setServerHome, setWSASHome`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeronimoInstaller

    public GeronimoInstaller()

Method Detail

### install

    public void install()
                 throws InstallationException

  Throws:
    `InstallationException`

### getDescription

    public java.lang.String getDescription()

### getId

    public java.lang.String getId()

### getServerInfoImplClasses

    public java.lang.String[] getServerInfoImplClasses()

### getSupportedVersions

    public java.lang.String[] getSupportedVersions()

### getServerInfoImplClass

    public java.lang.String getServerInfoImplClass()

### getServerProperties

    public java.util.Properties getServerProperties()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD